name: Derek Isla
locality: Plantation, FL
country: United States
role: <a href="/job-families/finance/it-compliance/">Senior IT Compliance Manager</a>
reports_to: rrea1
picture: derekisla.JPG
pronouns:
pronunciation:
twitter:
linkedin: djisla
gitlab: disla
departments:
  - Business Technology
specialty: 
expertise:
story:

